%MIN Model file for the MinD/MinE example.  

% J. Cullhed 2008-08-14.

% Stoichiometry matrix 
N=sparse([1  1  0  0 -1 ;...
         -1 -1  1  0  0 ;...
          0  0  1 -1  0 ;...
          0  0 -1  1  0 ;...
          0  0  0 -1  1]);

% Dependency graph      
G=sparse([1 0 0 0 0 1 1 0 0 1;...
          1 1 0 0 0 1 1 1 0 1;...
          0 1 1 0 0 1 1 1 1 0;...
          0 0 0 1 0 0 0 1 1 0;...
          0 0 0 0 1 0 0 0 1 1;]);

% Inline propensities.
NA=6.022e23;
kd=0.0125/0.041;
kdd=9e6/NA*1e-3;
kde=5.56e7/NA*1e-3;
ke=0.7;
k_p=0.5;

K=[0 kdd kde 0 0; kd 0 0 ke k_adp; 0 0 0 0 0];
I=[1 1 3 1 1; 1 2 2 1 1; 1 1 1 4 5];
S=sparse([1 1 1 1 0]);

% Set 'random' initial distribution.
mind=[ceil(rand(2001,1)*Ncells)];
mind2=[ceil(rand(2001,1)*Ncells)];
mine=[ceil(rand(1040,1)*Ncells)];
a=sparse(mind,1,1,Ncells,1);
b=sparse(mine,1,1,Ncells,1);
c=sparse(mind2,1,1,Ncells,1);     
u0=[a zeros(Ncells,1) b zeros(Ncells,1) c]';
u0=full(u0);
